unit veditorsimple;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, Menus,
  StdCtrls;

type

  { TVentanaEditor }

  TVentanaEditor = class(TForm)
    Editor: TMemo;
    MenuArchivo: TMenuItem;
    MenuEdicion: TMenuItem;
    MenuAcercaDe: TMenuItem;
    MenuAbrir: TMenuItem;
    MenuGuardar: TMenuItem;
    MenuCopiar: TMenuItem;
    MenuPegar: TMenuItem;
    MenuSalir: TMenuItem;
    MenuPrincipal: TMainMenu;
    VentanaGuardar: TSaveDialog;
    VentanaAbrir: TOpenDialog;
    procedure MenuAbrirClick(Sender: TObject);
    procedure MenuCopiarClick(Sender: TObject);
    procedure MenuGuardarClick(Sender: TObject);
    procedure MenuPegarClick(Sender: TObject);
    procedure MenuSalirClick(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  VentanaEditor: TVentanaEditor;

implementation

{$R *.lfm}

{ TVentanaEditor }

procedure TVentanaEditor.MenuSalirClick(Sender: TObject);
begin
  Close
end;

procedure TVentanaEditor.MenuCopiarClick(Sender: TObject);
begin
  Editor.CopyToClipboard;
end;

procedure TVentanaEditor.MenuGuardarClick(Sender: TObject);
begin
  if VentanaGuardar.Execute then
    Editor.Lines.SaveToFile(VentanaGuardar.FileName);
end;

procedure TVentanaEditor.MenuAbrirClick(Sender: TObject);
begin
  if VentanaAbrir.Execute then
    Editor.Lines.LoadFromFile(VentanaAbrir.FileName);
end;

procedure TVentanaEditor.MenuPegarClick(Sender: TObject);
begin
  Editor.PasteFromClipboard;
end;

end.

